/****************************************
 * crimson.css                         *
 * based (broadly) on sinorca from      *
 * http://www.oswd.org/                 *
 * (The original is, of course, nicer.) *
 ****************************************/

/************************************
 * REVISIONS FOR SPRING, 2009:      *
 * - Header background              *
 *   Orange (FFA500) changed to     *
 *   ffcc99 / 6699CC (blue)         *
 *   changed to                     *
 *   dc143c / dc143c (crimson)      *
 * - Borders changed from           *
 *   pumpkin (FF7518) to            *
 *   99999                          *
 * - Hover / here also changed to   *
 *   Green (008000) from FFAF00     *
 ************************************/
/*
    background: backgroundcolor=dc143c
    borders: bordercolor = ff7518
    links: linkcolor = ff7518
*/

/************************************
 * REVISIONS FOR FALL, 2006:        *
 * - Header background              *
 *   Orange (FFA500) changed to     *
 *   green (008000)                 *
 *   or dark turquoise (00ced1)     *
 * - Borders changed from           *
 *   pumpkin (FF7518) to            *
 *   MediumSeaGreen (3CB371)        *
 * - Hover / here also changed to   *
 *   Green (008000) from FFAF00     *
 ************************************/

/* ##### Common Styles ##### */

body {
  color: black;
  background-color: #f0f0f0; /* actually #f0f0f0; = rgb(240,240,240); */
  font-family: Arial, Verdana, sans-serif;
  font-size: small;
  margin: 0;
  padding: 0;
}

acronym, .titleTip {
  border-bottom: 1px dotted rgb(153,153,153);
  cursor: help;
  margin: 0;
  padding: 0 0 0.4px 0;
}

li {margin: 0;
    margin-top: 0.25em;}

li.tight {margin: 0em 0em 0em 0em;}

.datesetaside {
	padding-left:1em;
	padding-right:1em;
}

/* ##### Header ##### */

.superHeader {
  color: white;
  background-color: #dc143c;
  height: 2em;
}

.superHeader a {
  color: white;
  background-color: transparent;
  text-decoration: none;
  font-size: x-small;
  margin: 0;
  border: 0;
  padding: 0 0.5ex 0 0.25ex;
  margin-right: 1em;
  margin-left: 1em;
  border-right: 5px solid white;
  border-left: 1px solid white;
}

.subHeader .left {
  position: absolute;
  left: 1.5mm;
  top: 7.5ex;
}

.subHeader .right {
  position: absolute;
  right: 1.5mm;
  top: 7.5ex;
}


.midHeader {
  color: black;
  background-color: #dc143c;
}

.headerTitle {
  font-size: xx-large;
  font-weight: normal;
  margin: 0 0 0 4mm;
  padding: 0.25ex 0;
}

.subHeader {
  color: white;
  background-color: #dc143c; /* rgb(0,51,153);*/
  margin: 0;
  border-top: 1px solid black;
  padding-top: 1ex;
  padding-right: 1ex;
  padding-bottom: 3ex;
  padding-left: 1.5mm;
}

.subHeaderText {
  color:black;
}
.subHeader a {
  color: white;
  background-color: transparent;
  text-decoration: none;
  font-weight: bold;
  margin: 0;
  border: 0;
  padding:0;
  padding-right:1.25ex;
  padding-left:1.25ex;
/*  margin-right: 1em; */
  border-right: 1px solid white;
}  

a.lastLink {
  border-right: 0;
}

#here {
  color: black;
}

li.cancel {
  text-decoration: line-through;
}


#hereAndLastLink {
  border-right: 0;
  color: black;
}

.subHeader a:hover {
  text-decoration: underline;
}


/* ##### Side Bar ##### */

#side-bar {
  width: 15em;
  float: left;
  clear: left;
  border-right: 1px solid rgb(153,153,153);
}

#side-bar div {
  border-bottom: 1px solid rgb(153,153,153);
}

.sideBarTitle {
  font-weight: bold;
  margin: 0 0 0.5em 2.5mm;
  padding: 1em 0 0 0;
}

.sideBarBigTitle { 
  font-weight: bold;
  font-size:medium;
  margin: 0 0 0.5em 2.5mm;
  padding: 1em 0 0 0;
}

#side-bar ul {
  list-style-type: none;
  list-style-position: outside;
  margin: 0;
  padding: 0 0 1.1em 0;
}

#side-bar li {
  margin: 0;
  padding: 0.1ex 0;  /* Circumvents a rendering bug (?) in MSIE 6.0 */
}

#side-bar ul ul {
  padding-left: 2.5mm;
  padding-bottom: 0;
}

#side-bar a, .sideBarLinkishText {
  color: black;
  background-color: transparent;
  text-decoration: none;
  margin: 0;
  padding-top: 0.25em;
  padding-right:1ex;
  padding-bottom:0.25em;
  border-left: 5mm solid #f0f0f0;
  display: block;
}

#side-bar a:hover, a#sb-here, a#sb-alsohere {
  color: white;
  background-color: #dc143c; 
  text-decoration: none;
/* New, Jan. '07: */
  border-right: 2.5em solid #f0f0f0;
  padding-left: 2mm;
  border-left: 3mm solid #f0f0f0;
}

.sideBarText {
  line-height: 1.5em;
  margin: 0 0 1em 0;
  padding: 0 1.5ex 0 2.5mm;
  display: block;
}

#side-bar .sideBarText a {
  text-decoration: underline;
  margin: 0;
  padding: 0;
  display: inline;
}


.lighterBackground {
  color: inherit;
  background-color: white;
}


/* New, Jan. '07: */
#side-bar .lighterBackground a {
  border-right: 2.5em solid white;
  border-left: 3mm solid white;
  padding-left: 2mm;
}


/* ##### Main Copy ##### */

#main-copy {
  color: black;
  background-color: white;
  text-align: justify;
  line-height: 1.5em;
  margin: 0 0 0 15em;
  padding: 0.5mm 5mm 5mm 5mm;
  border-left: 1px solid rgb(153,153,153);
}

#main-copy p {
  margin: 1em 1ex 2em 1ex;
  padding: 0;
}

#main-copy a {
  color: black;
  background-color: transparent;
/*  text-decoration: underline; */
}

#main-copy a:hover {
  text-decoration: none;
}

#main-copy h2 {
	font-size:large;
	border-bottom: solid 2px #999999; 
	font-weight: bold;
        clear:right;
}

#main-copy h2, #main-copy h3, #main-copy h4 {
	padding-top: 0.5ex;
	padding-right: 0;
	padding-bottom: 0.5ex;
	padding-left: 0;
	margin-top: 0.5ex;
	margin-right: 0;
	margin-bottom: 0.5ex;
	margin-left: 5px;
}

#main-copy h4 { 
	padding-top: 0.2ex;
	padding-right: 0;
	padding-bottom: 0.2ex;
	padding-left: 0;
	margin-top: 0.2ex;
	margin-right: 0;
	margin-bottom: 0.2ex;
	margin-left: 5px;
}

#main-copy h3 {
	font-weight: bold;
	font-size:medium;
}

div.container {
	overflow: auto;
	width: 100%
}



#main-copy p { 
	margin-top: 0;
	margin-right: 2cm;
	margin-bottom: 1em;
	margin-left: 10px;
}



#main-copy .topOfPage {
  color: white;
  background-color: transparent;
  font-size: small;
  font-weight: bold;
  text-decoration: none;
  margin: 2.5ex 1ex 0 0;  /* For MSIE */
  padding: 0;
  float: right;
}

#main-copy > .topOfPage {
  margin: 2.75ex 1ex 0 0;  /* For fully standards-compliant user agents */
}

dl {
  margin: 1em 1ex 2em 1ex;
  padding: 0;
}

dt {
  font-weight: bold;
  margin: 0 0 0 0;
  padding: 0;
}

dd {
  margin: 0 0 2em 2em;
  padding: 0;
}


/* ##### Footer ##### */

#footer {
  color: black;
  background-color: #dc143c; 
  font-size: small;
  margin: 0;
  padding: 1em 2.5mm 2.5ex 2.5mm;
  clear: both;
}

#footer .left {
  line-height: 1.45em;
  float: left;
  clear: left;
}

#footer .right {
  text-align: right;
  line-height: 1.45em;
}

#footer a {
  color: black;
  background-color: transparent;
  text-decoration: underline;
}

#footer a:hover {
  text-decoration: none;
}

/* ##### Schedule Table #### */
table.calendar{
	margin:0;
	margin-left:5em;
	margin-right:auto;
	padding:0;
}

.date{
	font-size:xx-small;
	font-weight:bold;
	text-align:left;
}

td{
	text-align:center;
	vertical-align:top;
	height:5em;
	font: 80% Arial, Verdana, sans-serif;
	margin:0;
	margin-top:0.5em;
	margin-bottom:0.5em;
	padding:0.2em;
	border-color: #999999;
	border-width: thin;
/*	border-style: none dotted dotted none;*/
	border-style: solid;
	}
td.week{
/*	border-style: none dotted dotted dotted; */
/*	margin-top:auto;
	margin-bottom:auto;*/
	font: 120% Arial, Verdana, sans-serif;
	vertical-align:middle;
	border-style: solid;
}
tr {
        border-width:0;
/*	border-color: #999999;
	border-width: thin;
	border-style:none; 
/*	border-style: none none none dotted;*/
	margin:0;
	margin-top:2em;
	margin-bottom:0.5em;
	padding:0;
}

th {
	width:12em;
	text-align:center;
	font: 120% Arial, Verdana, sans-serif;
	border-color: #999999;  
	border-width: thin;
/*	border-style: dotted dotted dotted none; */
	border-style: solid;
	margin:0;
	margin-top:2em;
	margin-bottom:0.5em;
	padding:0;
}

th.first {
        width:5em; 
	border-style: solid;
}
th.off {
	width:1em;
}
td.noclass {
	background-color:#CCC;
}

table.hours, table.HW, table.grades,  table.announce {
	margin-top:0;
	margin-left:35px;
	margin-right: 2cm;
    	margin-bottom: 1em;}

td.hours, td.hours-left, tr.hours, td.HW, td.HWsameday, tr.HW, tr.HW-everyother, th.HW, th.HW-longer, th.HW-longest, th.grades, td.grades, tr.grades, td.announce {
	border-width:0;
	margin:0;
	padding:0;
	padding-right:1em;
	height:auto;
	text-align:left;	
	font-size: small;
}

tr.HW-everyother { 
        background-color: #f0f0f0; 
}

th.grades, td.grades, th.announce {  
	border-color: #999999;  
	border-width: thin;
/*	border-style: dotted dotted dotted none; */
	border-style: solid;
	height:2em;
	vertical-align:middle;
	text-align:center;
            }

td.announce { 
	border-color: #999999;  
	border-width: thin;
	border-style: dotted;
        vertical-align:middle;
        text-align:center;
            }


td.announce, th.announce { 
	padding-top:0.25em;
	padding-bottom:0.25em;
	padding-right:2.5em;
	padding-left:2.5em;
            }

th.announce { 
        width:auto;
        font-weight:bold;
        font-size: small;
}

th.grades {  
	border-width: thick;
                       }
td.HW , td.announce{
	padding-top:0.25em;
	}

td.HW { 
        border-color: #999999;  
	border-width: thin;
/*	border-style: dotted dotted dotted none; */
	border-style: solid;
 }

td.hours-left{
	width:18em;} 

th.HW, th.HW-longer, th.HW-longest { 
	width:6em;
	font-weight: bold;
	font-size: small;
}

th.HW-longer { 
	width:12em;
}

th.HW-longest { 
	width:auto;
	padding:0;
}

.alert {
	font-weight: bold;
	color: red;
	}

	/* Corrections    */
.corrections {
	text-decoration: line-through;
}

.floatright	{
	float: right; 
        margin:0cm;
	margin-left: 5ex;
        padding:0;
	}

.floatleft	{
	float: left; 
        margin:0cm;
	margin-left: 5ex;
	margin-right: 2ex;
        padding:0;
	}

/*****************************************
 *                                       *
 * Table etc sessions classes added 1/09 *
 *                                       *
 *****************************************/

table.sessions {
	margin-top:0;
	margin-left:35px;
	margin-right: 2cm;
    	margin-bottom: 1em;}

tr.sessions {
        border-width:0;
/*	border-color: #999999;
	border-width: thin;
	border-style:none; 
/*	border-style: none none none dotted;*/
	margin:0;
/*	margin-top:2em;
	margin-bottom:0.5em; */
	padding:0;
}


td.sessions, td.sessions-first, td.sessions-mid, td.sessions-last { 
	border-width:0;
	margin:0;
	padding:0;
	padding-left:1em;
	padding-right:1em;
	height:auto;
	border-color: #999999;  
	border-width: thin;
	border-style: dotted;
        vertical-align:middle;
        /* text-align:left; */
        text-align:center;
}

td.sessions-first, #firstrow { 
        border-bottom:0em;
}

td.sessions-last, #secondrow { 
        border-top:0em;
}

td.sessions-mid, #betweenrow { 
        border-bottom:0em;
        border-top:0em;
}

th.sessions {  
        width:auto;
        border-color: #999999;  
	border-width: thin;
	border-style: solid;
	height:2em;
	vertical-align:middle;
	text-align:center;
	padding-top:0.25em;
	padding-bottom:0.25em;
	padding-right:0.5em;
	padding-left:0.5em;
            }

th.HW, th.HW-longer, th.HW-longest {  
	border-color: #999999;  
	border-width: thin;
/*	border-style: dotted dotted dotted none; */
	border-style: solid;
	height:2em;
	vertical-align:middle;
	text-align:center;
            }

td.HW { padding-left:1em; }

h3+ul { 
        padding-top:0em; 
        margin-top:0em; 
}

.footnote1 { color: #660066 }

.footnote2 { color: #ff0000 }

.footnote3 { color: #0000ff }

/*****
  quotation div, added by PMG 4/30/09 for final exam quotes:
 ****/
.quotation {
  border: 1px solid #dc143c; /* black; */
  background-color: #f0f0f0;
  padding-top:0.5em;
  margin-left:2em;
  margin-right:2em;
}

p.insidequote { margin-right:1em; }

p+ul { 
  padding-top:0em; 
  margin-top:-0.5em; 
}

.code { font-style:monospace; font-style:normal; font-weight:bold; }
